/v1/workspaces/{workspace_id}/deliveriesAuthList deliveries
Newest first. Filter by `notification_id`, `recipient` (external id), `state` or `channel`. Every skip, retry and failure carries a `reason` with an `explanation`.
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
notification_idstring · uuidOnly this notification.
recipientstringOnly this recipient (external id).
stateenum (10)Only this state.
channelenum (4)Only this channel.
cursorstringOpaque cursor for pagination: the `next_cursor` of the previous page.
limitintegerPage size.
Response · 200 A page of deliveries.
data*arrayDeliveries, newest first.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/deliveries
Authorization: Bearer YOUR_TOKENResponse
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"notification_id": "00000000-0000-0000-0000-000000000000",
"recipient_id": "00000000-0000-0000-0000-000000000000",
"recipient_external_id": "string",
"channel": {},
"provider": "string",
"device_id": "00000000-0000-0000-0000-000000000000",
"target": "string",
"fallback_step": 0,
"is_fallback": false,
"state": {},
"reason": {},
"explanation": "string",
"attempts": 0,
"next_attempt_at": "2026-01-01T00:00:00.000Z",
"provider_message_id": "string",
"provider_unique_id": "string",
"rendered": {},
"warnings": [
"string"
],
"sent_at": "2026-01-01T00:00:00.000Z",
"final_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}